<div class="divForm">
  <p>
    Roles
  </p>
  <div>
    <input [(ngModel)]="roleId" type="text" placeholder="Enter id" class="formText">
    <input [(ngModel)]="roleName" type="text" placeholder="Enter role..." class="formText">
    <br>
    <button class="formButton" (click)="addRole()">Add</button>
    <button class="formButton" (click)="newRole()">Clear</button>
  </div>
  <br>
  <table>
    <tr><td>ID</td><td>Role</td><td></td><td></td></tr>
    <tr *ngFor="let i of Roles; let ind = index">
      <td>{{i.id}}</td><td>{{i.name}}</td>
      <td class="btnClm"><button type="button" (click)="loadRoleToEdit(i.id,i.name)">Edit</button></td>
      <td class="btnClm"><button type="button" (click)="deleteRole(i.id)">Delete</button></td>
    </tr>
  </table>
  </div>